/// <reference types="react" />
export type PaginationMetaResource = {
    currentPage: number;
    lastPage: number;
    length: number;
    getLength: number;
    per: number;
};
export type PaginationResource<T = object> = {
    meta: PaginationMetaResource;
    items: T[];
};
export type FilterType = {
    per?: number | string;
    keyword?: number | string;
    order?: number | string | 'asc' | 'desc';
};
export type ListViewProps<ItemProps = any, ItemResource = any, Filter = FilterType> = {
    getItems: (props: ItemProps) => Promise<PaginationResource<ItemResource> | false>;
    itemWrapper: any;
    itemCallback: (value: object | any, index: number, array: object[]) => JSX.Element;
    reload?: string;
    filter?: Filter & FilterType;
    ConvertFilter?: (Filter: Filter) => string[];
};
export default function ListView(props: ListViewProps): JSX.Element;
